View Issue Details

IDProjectCategoryView StatusLast Update
0000050Bacula-Webbug-phppublic2013-11-19 15:05
ReportervaytessAssigned Todavide 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04
Product Version5.2.2 
Target Version5.2.11Fixed in Version5.2.11 
Summary0000050: unable to access to the interface"Blank page"
DescriptionI can access to the 'test.php' page but when I start the 'index.php' a blank page is displayed
His is the apache log :

[error] [client 127.0.0.1] PHP Fatal error: DrawGraph(): No data array in /var/www/bacula-web/core/external/phplot/phplot.php on line 1701, referer: http://localhost/
TagsNo tags attached.

Activities

davide

2012-02-13 13:49

manager   ~0000088

Hello,

I know that in the current code, graphs generation doesn't catch empty result.

This exception with be triggered in a next version.

Is is a fresh Bacula install ?

Regards

vaytess

2012-02-13 20:55

reporter   ~0000089

Hello,

yes it's a fresh installation (version 5.2.3)

vaytess

2012-02-13 21:03

reporter   ~0000090

In fact when I commented the line 1701 "trigger_error($error_message, E_USER_ERROR);" the index.php page displayed all the content, but I don't know if the bug has fixed or no !

Regards

davide

2012-07-20 14:45

manager   ~0000127

The version which will be released soon should solve this problem.

Regards

ryans

2012-10-18 02:06

reporter   ~0000156

I'm running all the latest stuff and I get that error too on my other server.
Bacula-Web 5.2.10 (August 9th 2012)

davide

2012-12-13 18:53

manager   ~0000171

This bug has been fixed and will be available in the next version (which will be available hopefully by end of this week).

davide

2013-01-02 14:16

manager   ~0000177

Did you have a chance to try the latest version ?
Do you still have the same problem ?

Thanks for your feedback

Davide

davide

2013-01-25 13:52

manager   ~0000216

Bug fixed in Bacula-Web 5.2.11

davide

2013-11-19 15:05

manager   ~0000317

Issue closed

Issue History

Date Modified Username Field Change
2012-02-01 22:38 vaytess New Issue
2012-02-13 13:49 davide Note Added: 0000088
2012-02-13 13:49 davide Assigned To => davide
2012-02-13 13:49 davide Status new => feedback
2012-02-13 20:55 vaytess Note Added: 0000089
2012-02-13 20:55 vaytess Status feedback => assigned
2012-02-13 21:03 vaytess Note Added: 0000090
2012-03-31 10:54 davide Product Version => 5.2.2
2012-03-31 10:54 davide Target Version => 5.2.6
2012-05-25 12:24 davide Target Version 5.2.6 =>
2012-07-20 14:45 davide Note Added: 0000127
2012-10-18 02:06 ryans Note Added: 0000156
2012-10-18 10:02 davide Target Version => 5.2.11
2012-12-13 18:53 davide Note Added: 0000171
2013-01-02 14:16 davide Note Added: 0000177
2013-01-02 14:16 davide Status assigned => feedback
2013-01-25 13:52 davide Note Added: 0000216
2013-01-25 13:52 davide Status feedback => resolved
2013-01-25 13:52 davide Fixed in Version => 5.2.11
2013-01-25 13:52 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000317